Returns the PHP representation of the BSON document

- « MongoDB\BSON\Document::toCanonicalExtendedJSON

- MongoDB\BSON\Document::toRelaxedExtendedJSON »

- PHP Manual
- MongoDB\BSON\Document
- Returns the PHP representation of the BSON document

# MongoDB\BSON\Document::toPHP

(mongodb >=1.16.0)

MongoDB\BSON\Document::toPHP — Returns the PHP representation of the BSON document

### Description

final public MongoDB\BSON\Document::toPHP(?array `$typeMap` = `null`): array|object

Unserializes the BSON document to its PHP representation. The `typeMap` paramater may be used to control the PHP types used for converting BSON arrays and documents (both root and embedded).

Warning

BSON documents can technically contain duplicate keys because documents are stored as a list of key-value pairs; however, applications should refrain from generating documents with duplicate keys as server and driver behavior may be undefined. Since PHP objects and arrays cannot have duplicate keys, data could also be lost when decoding a BSON document with duplicate keys.

### Parameters

`typeMap` (array)

  Type map configuration.

### Return Values

The decoded PHP value.

> Note: When encountering a value encoded as 64-bit integer in the BSON document, the return value of this method will be a MongoDB\BSON\Int64 instance.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException if a class in the type map cannot be instantiated or does not implement MongoDB\BSON\Unserializable.

### See Also

- MongoDB\BSON\toPHP() - Returns the PHP representation of a BSON value
- » BSON Types